#pragma once

#include "CoreMinimal.h"
#include "GrantedRewardPopupViewData.h"
#include "SoftRemoteContentCacheObjectPtr.h"
#include "UObject/SoftObjectPtr.h"
#include "PackRewardPopupViewData.generated.h"

class UTexture2D;
class UStorePackContentData;

UCLASS(Blueprintable)
class DBDUIVIEWINTERFACES_API UPackRewardPopupViewData : public UGrantedRewardPopupViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	FName Id;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	FText PackName;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	FSoftRemoteContentCacheObjectPtr RemoteImagePtr;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	TSoftObjectPtr<UTexture2D> TexturePtr;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	bool UseCompositionForPackImage;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	int32 PackImageCompositionNumberOfItems;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	TArray<UStorePackContentData*> SortedContent;

public:
	UPackRewardPopupViewData();
};

FORCEINLINE uint32 GetTypeHash(const UPackRewardPopupViewData) { return 0; }
